中危 Google Golang 缓冲区错误漏洞

CVE编号

CVE-2021-38297

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-10-18
漏洞描述
Google Golang是美国谷歌(Google)公司的一种静态强类型、编译型语言。Go的语法接近C语言,但对于变量的声明有所不同。Go支持垃圾回收功能。Go的并行模型是以东尼·霍尔的通信顺序进程(CSP)为基础,采取类似模型的其他语言包括Occam和Limbo,但它也具有Pi运算的特征,比如通道传输。在1.8版本中开放插件(Plugin)的支持,这意味着现在能从Go中动态加载部分函数。
Google Go 中存在缓冲区错误漏洞,该漏洞源于当环境变量设置为GOARCH= WASM、GOOS=js,WASM模块未能正确处理内存边界。

受影响版本:
Google Go 1.16.9 之前版本,Google Go 1.17 之前版本。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://golang.org/dl/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go * Up to
(excluding)
1.16.9
运行在以下环境
应用 golang go * From
(including)
1.17.0
Up to
(excluding)
1.17.2
运行在以下环境
系统 alpine_3.15 go * Up to
(excluding)
1.17.2-r0
运行在以下环境
系统 alpine_edge go * Up to
(excluding)
1.17.2-r0
运行在以下环境
系统 amazon_2 go * Up to
(excluding)
1.16.15-1.amzn2.0.1
运行在以下环境
系统 amazon_AMI go * Up to
(excluding)
1.16.15-1.37.amzn1
运行在以下环境
系统 debian_10 go * Up to
(including)
1.11.6-1+deb10u4
运行在以下环境
系统 debian_11 go * Up to
(excluding)
1.15.15-1~deb11u2
运行在以下环境
系统 debian_12 go * Up to
(including)
1.15.15-4
运行在以下环境
系统 debian_sid go * Up to
(including)
1.15.15-4
运行在以下环境
系统 fedora_34 go * Up to
(excluding)
1.16.11-1.fc34
运行在以下环境
系统 fedora_35 go * Up to
(excluding)
1.16.11-1.fc35
运行在以下环境
系统 fedora_EPEL_7 go * Up to
(excluding)
1.16.13-2.el7
运行在以下环境
系统 opensuse_Leap_15.2 go * Up to
(excluding)
1.16.9-lp152.14.1
运行在以下环境
系统 opensuse_Leap_15.3 go * Up to
(excluding)
1.16.9-1.29.1
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-120 未进行输入大小检查的缓冲区拷贝(传统缓冲区溢出)
阿里云安全产品覆盖情况